<template>
	<view class="container clearfix rich-text-temp">
		<rich-text-template ref="childTemplate"></rich-text-template>
	</view>
</template>

<script>
	import richTextTemplate from '@/components/cm-module/listTemplate/richTextTemplate'
	
	export default{
		components: {
		   richTextTemplate
		},
		data() {
			return{
				
			}
		},
		onLoad(option){
			this.initData(option)
		},
		methods:{
			initData(option){
				uni.setNavigationBarTitle({title:option.title})
				this.OtherService.QueryClubProtocol({helpPageId:option.id}).then(response =>{
					let data =response.data.content
					this.$refs.childTemplate.html = this.$api.adaptRichTextImg(data)
				}).catch(error =>{
					this.$util.msg(error.msg,2000)
				})
			}
		}
	}
</script>

<style lang="scss">

</style>